Ubuntu

Sync libevent 2.0.12-stable-1 (main) from Debian experimental (main)

Reported by Rico Tzschichholz on 2011-06-12
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
libevent (Debian)
Fix Released
Unknown
libevent (Ubuntu)
Wishlist
Unassigned

Bug Description

Please sync libevent 2.0.12-stable-1 (main) from Debian experimental (main)

Changelog entries since current oneiric version 1.4.13-stable-1:

libevent (2.0.12-stable-1) experimental; urgency=low

   * [9be9bdb9] new upstream version 2.0.12-stable
   * [7a119447] add myself to uploaders (with permission from Anibal)
   * [5941f8df] add VCS- fields to debian/control
   * [3a410d4c] use dh 8 short style; remove unneeded build-dep on libtool
   * [5217845e] bump compat to 8
   * [3237604b] remove old README.source
   * [0cc15d5b] remove README.Debian; install whatsnew-2.0.txt to docs instead
   * [281c8d2e] source/options: don't set compression level (9 is the default
                anyway)
   * [08517840] clean up debian/watch
   * [18d75ca4] remove unneeded debian/*.dirs
   * [1967343a] add TODO about cleaning up debian/copyright
   * [c567b3fd] install pkgconfig file with more generic glob (*.pc, instead of
                libevent*.pc)
   * [3b6f7cb9] add ".pc" to .gitignore for quilt
   * [73325895] bump policy to 3.9.2 (no changes)
   * [2fe9450d] adding libevent-dbg package
   * [7d85b523] rename all *.files to *.install
   * [169fffc7] disable regression tests while building
   * [611912d3] add shlibs files for all lib packages
   * [6dec46d3] some copy-editing in debian/control
   * [4733768d] add patch to always build with -no-undefined
   * [f2916660] build with -Wl,--as-needed,-z,defs,--no-add-needed
   * [b8fc89d7] debian/control: remove redundant sections and priorities
   * [ebd9fa80] changelog entry for 2.0.12-stable-1

 -- Leo Costela <email address hidden> Fri, 17 Jun 2011 16:01:41 +0200

libevent (2.0.10-stable-1) experimental; urgency=low

  * New upstream release
    Closes: 581221, 607984
  * Install libevent*.pc into /usr/lib/pkgconfig
    Closes: 569274
  * The man pages event.3 and evdns.3 are not shipped anymore.
  * Fix out-of-date-standards-version
  * Source format is 3.0 (quilt)
  * Pass parameters -Zbzip2 and -z9 to dpkg-deb via dh_builddeb

 -- Anibal Monsalve Salazar <email address hidden> Sun, 16 Jan 2011 18:19:25 +1100

libevent (2.0.3-alpha-1) experimental; urgency=low

  * New upstream release

 -- Anibal Monsalve Salazar <email address hidden> Sat, 21 Nov 2009 23:35:53 +1100

libevent (2.0.2-alpha-1) experimental; urgency=low

  * New upstream release

 -- Anibal Monsalve Salazar <email address hidden> Fri, 21 Aug 2009 11:23:04 +1000

libevent (2.0.1-alpha-1) experimental; urgency=low

  * New upstream release

 -- Anibal Monsalve Salazar <email address hidden> Sat, 23 May 2009 12:29:16 +1000

Rico Tzschichholz (ricotz) wrote :

This library transition should be done in oneiric. It also enables the update for new Transmission versions.

Rico Tzschichholz (ricotz) wrote :

Just found this expired request for the natty cycle: https://bugs.edge.launchpad.net/ubuntu/+source/libevent/+bug/701471

Sebastien Bacher (seb128) wrote :

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=622204 is the debian bug asking for an upload to unstable, fedora did the update in fedora15, maybe somebody should ping the debian maintainer to know if there is any reason to keep that update away from unstable and oneiric?

Changed in libevent (Ubuntu):
importance: Undecided → Wishlist
Benjamin Drung (bdrung) on 2011-07-01
summary: - Sync libevent 2.0.10-stable-1 (main) from Debian experimental (main)
+ Sync libevent 2.0.12-stable-1 (main) from Debian experimental (main)
description: updated

libevent 2.0.12-stable-1 builds on amd64. Sync request ACK'd.

Changed in libevent (Ubuntu):
assignee: nobody → Benjamin Drung (bdrung)
status: New → In Progress
assignee: Benjamin Drung (bdrung) → nobody
status: In Progress → Confirmed
Benjamin Drung (bdrung) wrote :

According to bug #701471, only four package failed to build against the new version. We are still in an early stage. So let's start the transition.

Colin Watson (cjwatson) wrote :

[Updating] libevent (1.4.13-stable-1 [Ubuntu] < 2.0.12-stable-1 [Debian])
 * Trying to add libevent...
2011-07-07 23:19:14 INFO - <libevent_2.0.12-stable-1.debian.tar.bz2: downloading from http://ftp.debian.org/debian/>
2011-07-07 23:19:14 INFO - <libevent_2.0.12-stable-1.dsc: downloading from http://ftp.debian.org/debian/>
2011-07-07 23:19:14 INFO - <libevent_2.0.12-stable.orig.tar.gz: downloading from http://ftp.debian.org/debian/>
I: libevent [main] -> libevent-dev_1.4.13-stable-1 [main].

Changed in libevent (Ubuntu):
status: Confirmed → Fix Released
Colin Watson (cjwatson) wrote :

2011-07-07 23:19:38 INFO - <libevent_2.0.12-stable-1.debian.tar.bz2: cached>
2011-07-07 23:19:38 INFO - <libevent_2.0.12-stable-1.dsc: cached>
2011-07-07 23:19:38 INFO - <libevent_2.0.12-stable.orig.tar.gz: cached>
[Updating] libevent (1.4.13-stable-1 [Ubuntu] < 2.0.12-stable-1 [Debian])
 * Trying to add libevent...
I: libevent [main] -> libevent-dev_1.4.13-stable-1 [main].

Changed in libevent (Debian):
status: Unknown → Fix Released
Changed in libevent (Debian):
status: Fix Released → New
Changed in libevent (Debian):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.